import { OnInit, EventEmitter } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { RdpDataTableService } from '../../shared/rdp-data-table.service';
import { RdpModalService } from '../../services/rdp-modal.service';
export declare class RdpDataTableEditComponent implements OnInit {
    activeModal: NgbActiveModal;
    rdpDataTableService: RdpDataTableService;
    private rdpModal;
    settings: any;
    rowdata: any;
    isEditMode: boolean;
    applicationService: any;
    passEntry: EventEmitter<any>;
    modalPopupTitle: string;
    selectedRowData: any;
    columnsInfoList: any[];
    constructor(activeModal: NgbActiveModal, rdpDataTableService: RdpDataTableService, rdpModal: RdpModalService);
    ngOnInit(): void;
    saveChanges(): void;
    validateRowData(rowData: any): any;
    columnDataChanged($event: any, columnTitle: any): void;
}
